/*
 * listados.h
 * This file is part of gconta
 *
 * Copyright (C) 2004 Bruno Orcha Garcia
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, 
 * Boston, MA 02111-1307, USA. 
 */

#ifndef _LISTADOS_H_
#define _LISTADOS_H_

#include <gtk/gtk.h>
#include "principal.h"


GtkWidget * listados_barra (gpointer window);
GtkWidget * listados_child (gpointer window);

void listados_barra_cerrar (GtkToolButton * b, gpointer window);
void listados_barra_diario (GtkToolButton *b, gpointer window);
void listados_barra_mayor (GtkToolButton *b, gpointer window);
void listados_barra_imprimir (GtkToolButton *b, gpointer window);

void listado_de_diario(GtkMenuItem *i, gpointer window);
void listado_de_mayor(GtkMenuItem *i, gpointer window);

GtkWidget* listados_diario_dialog (void);
void listados_diario_dialog_modo (GtkRadioButton *b, gpointer window);
void listados_add_asiento (GString *pagina, gint asiento);
void listados_diario_mostrar(GSList *lista_asientos, gpointer window);

void listados_barra_guardar (GtkToolButton *b, gpointer window);

GtkWidget* listados_mayor_dialog (void);
void listados_add_cuenta (GString *pagina, gint cuenta);
void listados_mayor_mostrar(GSList *lista_cuentas, gpointer window);



#endif
