/*
 * main.c
 * This file is part of gconta
 *
 * Copyright (C) 2004 Bruno Orcha Garcia
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, 
 * Boston, MA 02111-1307, USA. 
 */

#include <gtk/gtk.h>
#include <libgda/libgda.h>
#include "principal.h"



int
main (int argc, char **argv)
{
	GtkWidget *win;
	
	g_thread_init(NULL);
	gtk_init (&argc, &argv);
	gda_init("gconta", "0.1", argc, argv);
	g_type_init ();
	
	win = window_seleccionar_empresa();
	gtk_widget_show_all (win);
	g_signal_connect ((gpointer) win, "destroy",
			  G_CALLBACK (gtk_main_quit), NULL);
	
	gdk_threads_enter();
	gtk_main ();
	gdk_threads_leave();
	
	return 0;
}
