/*
 * callbacks.h
 * This file is part of gconta
 *
 * Copyright (C) 2004 Bruno Orcha Garcia
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, 
 * Boston, MA 02111-1307, USA. 
 */

#ifndef _CALLBACKS_H_
#define _CALLBACKS_H_

#include <gtk/gtk.h>
#include "pgc.h"
#include "diario.h"
#include "mayor.h"
#include "notas.h"
#include "consultas.h"
#include "listados.h"
#include "varios.h"
#include "inicio.h"
#include "informes.h"

void boton_pgc (GtkButton * boton, gpointer	* user_data);
void boton_diario (GtkButton * boton, gpointer * user_data);
void boton_mayor (GtkButton * boton, gpointer * user_data);
void boton_listados (GtkButton * boton, gpointer * user_data);
void boton_informes (GtkButton * boton, gpointer * user_data);
void boton_consultas (GtkButton * boton, gpointer * user_data);
void boton_notas (GtkButton * boton, gpointer * user_data);
void solapa_cambia (GtkNotebook *notebook, GtkNotebookPage *p, guint arg1, gpointer user_data);
gboolean gconta_tecla_pulsada (GtkWidget *widget, GdkEventKey *event, gpointer user_data);

enum { GCONTA_PGC, GCONTA_DIARIO, GCONTA_MAYOR, GCONTA_CONSULTAS, GCONTA_LISTADOS,
			GCONTA_INFORMES, GCONTA_NOTAS };

#endif
