/*
 * inicio.h
 * This file is part of gconta
 *
 * Copyright (C) 2004 Bruno Orcha Garcia
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, 
 * Boston, MA 02111-1307, USA. 
 */

#ifndef _INICIO_H_
#define _INICIO_H_

#include <gtk/gtk.h>
#include <libxml/parser.h>
#include <libxml/xmlmemory.h>
#include <libgda/libgda.h>
#include <libgnomedb/libgnomedb.h>
#include "principal.h"

GtkWidget*
window_seleccionar_empresa (void);
void abrir_empresa(GtkButton *b, gpointer window1);
GtkWidget* crear_empresa_ventana (GtkWindow *window);
void crear_empresa (GtkButton *b, gpointer window1);
void seleccionar_fichero(GtkButton *b, GtkEntry *entry);
void crear_empresa_cancelar(GtkButton *b, GtkWidget *window);
void crear_empresa_aceptar(GtkButton *b, GtkWidget *window);
void asistente_gda (GtkButton *b, gpointer parent);


#endif
