/*
 * pgc.h
 * This file is part of gconta
 *
 * Copyright (C) 2004 Bruno Orcha Garcia
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, 
 * Boston, MA 02111-1307, USA. 
 */

#ifndef _PGC_H_
#define _PGC_H_

#include <gtk/gtk.h>
#include "principal.h"
#include "xml.h"

GtkWidget * pgc_barra (gpointer *window);
GtkWidget * pgc_child (gpointer window);
GtkWidget* pgc_crear_cuenta_dialog ();

void pgc_barra_cerrar (GtkToolButton * b, gpointer user_data);
void pgc_barra_combo_changed (GtkComboBox *combobox, gpointer user_data);

gpointer pgc_llenar(gpointer window);
void pgc_llenar_nodos(GtkTreeStore * store, GtkTreeIter *iter_parent, gint ini, gint fin, gint mas);
void pgc_llenar_nodos_padre(GtkTreeStore * store, GtkTreeIter *iter_parent, gint n_cuenta, gint mas);

void pgc_barra_add (GtkToolButton * b, gpointer window);
void pgc_barra_remove (GtkToolButton * b, gpointer window);
gboolean pgc_barra_remove_tiene_hijos(gint n_cuenta);
gboolean pgc_barra_remove_tiene_partidas(gint n_cuenta);


gboolean pgc_tree_popup	(GtkWidget *widget, GdkEventButton *event, gpointer window);

void pgc_barra_contraer	(GtkToolButton *b, gpointer window);
void pgc_barra_expandir	(GtkToolButton *b, gpointer window);
void pgc_barra_ver_mayor (GtkToolButton *b,	gpointer window);
void pgc_barra_ver_descripcion (GtkToolButton *b, gpointer window);




#endif
